/**
 * The MIT License (MIT)
 * Copyright (c) 2017-present Dmitry Soshnikov <dmitry.soshnikov@gmail.com>
 */
'use strict';

var compatTranspiler = require('..');

describe('compat-transpiler-integration-test', function () {
  it('applies all transforms', function () {
    var original = '/a.b(?<name>x)/sx';
    var compat = /a[\0-\uFFFF]b(x)/;
    var result = compatTranspiler.transform(original);
    expect(result.toString()).toBe(compat.toString());
    expect(result.getExtra()).toEqual({
      // This transform collected group names, and their indices.
      namedCapturingGroups: {
        name: 1
      }
    });
  });
  it('applies whitelist only', function () {
    var original = '/a.b(?<name>x)/s';
    var compat = "/a[\\0-\\uFFFF]b(?<name>x)/";
    expect(compatTranspiler.transform(original, ['dotAll']).toString()).toBe(compat);
  });
});