/**
 * The MIT License (MIT)
 * Copyright (c) 2017-present Dmitry Soshnikov <dmitry.soshnikov@gmail.com>
 */
'use strict';

var _require = require('../../../transform'),
    transform = _require.transform;

var compatDotAllSTransform = require('../compat-dotall-s-transform');

describe('compat-dotall-s-transform', function () {
  it('simple', function () {
    var re = transform('/a.b/s', [compatDotAllSTransform]);
    expect(re.toString()).toBe("/a[\\0-\\uFFFF]b/");
  });
  it('with u flag', function () {
    var re = transform('/a.b/su', [compatDotAllSTransform]);
    expect(re.toString()).toBe("/a[\\0-\\u{10FFFF}]b/u");
  });
  it('no s', function () {
    var re = transform('/a.b/u', [compatDotAllSTransform]);
    expect(re.toString()).toBe('/a.b/u');
  });
});