/**
 * The MIT License (MIT)
 * Copyright (c) 2017-present Dmitry Soshnikov <dmitry.soshnikov@gmail.com>
 */
'use strict';

var _require = require('../../../transform'),
    transform = _require.transform;

var charClassClassrangesToChars = require('../char-class-classranges-to-chars-transform');

describe('char-class-classranges-to-chars', function () {
  it('[a-a] -> [a]', function () {
    var re = transform('/[a-a]/', [charClassClassrangesToChars]);
    expect(re.toString()).toBe('/[a]/');
  });
  it('[a-b] -> [ab]', function () {
    var re = transform('/[a-b]/', [charClassClassrangesToChars]);
    expect(re.toString()).toBe('/[ab]/');
  });
});