/**
 * The MIT License (MIT)
 * Copyright (c) 2017-present Dmitry Soshnikov <dmitry.soshnikov@gmail.com>
 */
'use strict';

var _require = require('../../../transform'),
    transform = _require.transform;

var quantifierRangeToSymbol = require('../quantifier-range-to-symbol-transform');

describe('quantifier range to symbol', function () {
  it('a{0,} -> a*', function () {
    var re = transform(/[a-z]{0,}/, [quantifierRangeToSymbol]);
    expect(re.toString()).toBe('/[a-z]*/');
  });
  it('a{1,} -> a+', function () {
    var re = transform(/[a-z]{1,}/, [quantifierRangeToSymbol]);
    expect(re.toString()).toBe('/[a-z]+/');
  });
  it('a{1} -> a', function () {
    var re = transform('/[a-z]{1}/', [quantifierRangeToSymbol]);
    expect(re.toString()).toBe('/[a-z]/');
  });
  it('a{1,1} -> a', function () {
    var re = transform('/[a-z]{1,1}/', [quantifierRangeToSymbol]);
    expect(re.toString()).toBe('/[a-z]/');
  });
  it('a{3,3} -> a{3}', function () {
    var re = transform('/[a-z]{3,3}/', [quantifierRangeToSymbol]);
    expect(re.toString()).toBe('/[a-z]{3}/');
  });
});