/**
 * The MIT License (MIT)
 * Copyright (c) 2017-present Dmitry Soshnikov <dmitry.soshnikov@gmail.com>
 */
'use strict';

var _require = require('../../../transform'),
    transform = _require.transform;

var removeEmptyGroup = require('../remove-empty-group-transform');

describe('remove empty groups', function () {
  it('removes empty groups', function () {
    var re = transform(/a(?:)b/, [removeEmptyGroup]);
    expect(re.toString()).toBe('/ab/');
    var re2 = transform(/((?:))/, [removeEmptyGroup]);
    expect(re2.toString()).toBe('/()/');
  });
  it('does not remove empty regexp', function () {
    var re = transform(/(?:)/, [removeEmptyGroup]);
    expect(re.toString()).toBe('/(?:)/');
  });
  it('removes empty group quantifier', function () {
    var re = transform(/(?:)+/, [removeEmptyGroup]);
    expect(re.toString()).toBe('/(?:)/');
  });
});